Skip to main content
GET
/
api
/
ml
/
v1
/
artifacts
List artifacts
curl --request GET \
  --url https://{controlPlaneURL}/api/ml/v1/artifacts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "ml_repo_id": "<string>",
      "type": "artifact",
      "name": "<string>",
      "fqn": "<string>",
      "created_by_subject": {
        "subjectId": "<string>",
        "subjectType": "user",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "run_steps": [
        123
      ]
    }
  ],
  "pagination": {
    "total": 100,
    "offset": 0,
    "limit": 10
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fqn
string

Fully qualified name to filter artifacts by (format: '{artifact_type}:{tenant_name}/{ml_repo_name}/{artifact_name}')

ml_repo_id
string

ID of the ML Repo to filter artifacts by

name
string

Name of the artifact to filter by

offset
integer
default:0

Number of artifacts to skip for pagination

limit
integer

Maximum number of artifacts to return

run_id
string

ID of the run to filter artifacts by

include_empty_artifacts
boolean
default:true

Whether to include artifacts that have no versions

Response

List of artifacts matching the query with pagination information

data
Artifact · object[]
required

List of artifacts matching the query

pagination
Pagination · object
required

Pagination information including total count, offset, and limit